package pen;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JOptionPane;
import javax.swing.JTextArea;

public class FlowchartButtonListener implements ActionListener {
	pen_flowchart.PenFlowchartPanel targetpanel;
	JTextArea edit_area;
	public FlowchartButtonListener(pen_flowchart.PenFlowchartPanel targetpanel, JTextArea edit_area)
	{
		this.targetpanel = targetpanel;
		this.edit_area = edit_area;
	}

	@Override
	public void actionPerformed(ActionEvent arg0) {
		String[] vars = {"","","",""};
		pen_flowchart.Flowchart chart = targetpanel.makeEmptyFlowchart();

		if(Pen2Flowchart.convert(edit_area.getText(), chart, vars))
		{
			targetpanel.setFlowchart(chart, vars);
			chart.makeDirty();
			chart.repaint();
		}
		else
		{
			JOptionPane.showMessageDialog(null, "フローチャートに変換できません","Pen",JOptionPane.ERROR_MESSAGE);
		}
	}

}
