package pen_flowchart;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;

public class DropSource_Output extends DropSource {

	private static final long serialVersionUID = 1L;
	
	public DropSource_Output()
	{
		super();
		setPreferredSize(new Dimension(61,31));
	}

	@Override
	public void paint(Graphics g)
	{
		int [] x = {45,15, 0,15,45};
		int [] y = { 0, 0,15,30,30};
		g.setColor(Color.WHITE);
		g.fillPolygon(x, y, 5);
		g.fillArc(30,0,30,30,0,-90);
		g.fillArc(30,0,30,30,0,90);
		g.setColor(Color.BLACK);
		g.drawPolyline(x, y, 5);
		g.drawArc(30,0,30,30,0,-90);
		g.drawArc(30,0,30,30,0,90);
		drawString("出力",g);
	}

	@Override
	protected String getString() {
		return "OUTPUT";
	}

}
